<!-- The form for creating a new match. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/forms.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

<div class = "body"> 
    <a href="{% url 'scouting:index' %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Index</a>

    {% if form %} 
        <div class = "match-info">  Basic Information </div>
        <form action="" method="post">
            {% csrf_token %}
                
            <div class = "content-block"> 
                <div class = "text-forms"> <label for="{{ form.Scouter.id_for_label }}" >Scouter: </label> {{ form.Scouter }} </div>
                
                <div class = "text-forms"> <label for="{{ form.Competiton.id_for_label }}">Competition: </label> {{ form.Competition }} </div>
                      
                <div class = "text-forms"> <label for="{{ form.Team.id_for_label }}">Team: </label> {{ form.Team }} </div>
                
                <div class = "text-forms"> <label for="{{ form.MatchNum.id_for_label }}">Match Number: </label> {{ form.MatchNum }} </div>
            
            </div>
            
            <h1 class = "match-info">Sandstorm</h1>
                 
                   
                      <label for="{{ form.Start.id_for_label }}" class = "start">Start: </label> <div class = "start-radio"> {{ form.Start }}  </div> <br>
                        
                    <div class = "content-block"> 
                       
                        <label for="{{ form.Rocket_Hatch_Sandstorm.id_for_label }}">Rocket Hatches: </label> {{ form.Rocket_Hatch_Sandstorm }} <br>

                        <label for="{{ form.Rocket_Ball_Sandstorm.id_for_label }}">Rocket Cargo: </label> {{ form.Rocket_Ball_Sandstorm }} <br>
                        
                        <label for="{{ form.CargoShip_Hatch_Sandstorm.id_for_label }}">Cargo Ship Hatches: </label> {{ form.CargoShip_Hatch_Sandstorm }} <br>
                        
                        <label for="{{ form.CargoShip_Ball_Sandstorm.id_for_label }}">Cargo Ship Cargo: </label> {{ form.CargoShip_Ball_Sandstorm }} <br>
                    </div>
             
            <h1 class = "match-info"> Non-Sandstorm</h1>
                   
                <table class = "match-table">
                    <tr>
                        <th>Hatch</th>
                        <th>Cargo</th>
                    </tr>
                   
                    <tr>
                        <td>
                            <label for="{{ form.Rocket_L1_Hatch.id_for_label }}" class = "font">Low Rocket Hatches: </label>
                            {{ form.Rocket_L1_Hatch }}
                        </td>
                   
                        <td>
                            <label for="{{ form.Rocket_L1_Ball.id_for_label }}" class = "font" >Low Rocket Cargo: </label>
                            {{ form.Rocket_L1_Ball }}
                        </td>
                    </tr>
                   
                    <tr>
                        <td>
                            <label for="{{ form.Rocket_L2_Hatch.id_for_label }}" class = "font" >Mid Rocket Hatches: </label>
                            {{ form.Rocket_L2_Hatch }}
                        </td>
                   
                        <td>
                            <label for="{{ form.Rocket_L2_Ball.id_for_label }}" class = "font" >Mid Rocket Cargo: </label>
                            {{ form.Rocket_L2_Ball }}
                        </td>
                    </tr>
                   
                    <tr>
                        <td>
                            <label for="{{ form.Rocket_L3_Hatch.id_for_label }}" class = "font" >High Rocket Hatches: </label>
                            {{ form.Rocket_L3_Hatch }}
                        </td>
                   
                        <td>
                            <label for="{{ form.Rocket_L3_Ball.id_for_label }}" class = "font" >High Rocket Cargo: </label>
                            {{ form.Rocket_L3_Ball }}
                        </td>
                    </tr>
                   
                    <tr>
                        <td>
                            <label for="{{ form.CargoShip_Hatch.id_for_label }}" class = "font" >Cargo Ship Hatches: </label>
                            {{ form.CargoShip_Hatch }}
                        </td>
                   
                        <td>
                            <label for="{{ form.CargoShip_Ball.id_for_label }}" class = "font" >Cargo Ship Cargo: </label>
                            {{ form.CargoShip_Ball }}
                        </td>
                    </tr>
                </table> 

           
                    <h1 class = "match-info">Endgame</h1>
                    
                    <div class = "climb-container"> 
                        <label for="{{ form.Climb.id_for_label }}" class = "climb">Climb: </label> <div class = "climb-radio"> {{ form.Climb }} </div> <br>
                    </div>
                    
                        <label for="{{ form.Comments.id_for_label }}"> </label>
                        {{ form.Comments }}


            <br>
            <input type="submit" id="submit" value="Submit">
        </form>
        
        <p></p>
    {% else %}
        <p>An error has occurred in the form. Contact programming.
        
        Super-special programming magic spell: The form is attempting to create a model with the incorrect form.</p>
    {% endif %}

</div> 
{% endblock %}